summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorLoren Shih <seraph@lindenlab.com>2010-10-20 12:18:33 -0400
committerLoren Shih <seraph@lindenlab.com>2010-10-20 12:18:33 -0400
commit76876538715e3afbe456e2bf84173bde416d50e6 (patch)
tree423b27e9a5ef5c463b066b0fb5a50bda25060869 /build.sh
parent0682e10532e058462d2bb1d5379c55d0e4d757e9 (diff)
parent04425000ae60b1fccf4feac1d4d84796d3b6b27d (diff)
Automated merge up from viewer-development
Diffstat (limited to 'build.sh')
-rw-r--r--build.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/build.sh b/build.sh
index 7df194a0a6..b118474498 100644
--- a/build.sh
+++ b/build.sh
@@ -59,7 +59,7 @@ pre_build()
-t $variant \
-G "$cmake_generator" \
configure \
- -DGRID:STRING="$viewer_grid"\
+ -DGRID:STRING="$viewer_grid" \
-DVIEWER_CHANNEL:STRING="$viewer_channel" \
-DVIEWER_LOGIN_CHANNEL:STRING="$login_channel" \
-DINSTALL_PROPRIETARY:BOOL=ON \
@@ -115,11 +115,15 @@ then
if [ -x "$top/../buildscripts/hg/bin/build.sh" ]
then
exec "$top/../buildscripts/hg/bin/build.sh" "$top"
+ elif [ -r "$top/README" ]
+ then
+ cat "$top/README"
+ exit 1
else
cat <<EOF
This script, if called in a development environment, requires that the branch
independent build script repository be checked out next to this repository.
-This repository is located at http://hg.lindenlab.com/parabuild/buildscripts
+This repository is located at http://hg.secondlife.com/buildscripts
EOF
exit 1
fi